系统要求和兼容性

注意:

本文介绍了 XenMobile Server 10.10 的系统要求和兼容性。有关 Endpoint Management 系统要求,请参阅系统要求

有关更多要求和兼容性信息,请参阅以下文章:

要运行 XenMobile 10.10,需要满足以下最低系统要求:

  • 以下其中一种:
    • XenServer(支持的版本:6.5.x、7.0、7.1、7.2、7.3、7.4、7.5、7.6);有关详细信息,请参阅 XenServer
    • VMware(支持的版本:ESXi 5.5、ESXi 6.0、ESXi 6.5.0 或 ESXi 6.7);有关详细信息,请参阅 VMware
    • Hyper-V(支持的版本:Windows Server 2012 R2、Windows Server 2016、Windows Server 2019);有关详细信息,请参阅 Hyper-V
    • 适用于 Exchange ActiveSync 10.1.9.24 的 Endpoint Management 连接器
    • 适用于 Exchange ActiveSync 8.5.2.7 的 Citrix Gateway 连接器
  • 双核处理器
  • 4 个虚拟 CPU
  • 对于生产环境:8 GB RAM;对于概念验证和测试环境:4 GB RAM
  • 50 GB 磁盘空间
  • Citrix 许可证服务器 11.15.x 或更高版本

重要:

为使 ESXi 6.7 正常工作,必须采用以下解决方法。

  1. 使用 VMware 提供的 OVF 工具,提取从 citrix.com 下载的 OVA 文件。从 VMware 的页面 (https://my.vmware.com/group/vmware/details?downloadGroup=OVFTOOL410&productId=491) 获取 OVF 工具。
  2. 将提取的三个文件中的 .vmdk 文件上载到您的数据存储中。
  3. 创建新虚拟机。
    1. 为该虚拟机命名,并选择 ESX/ESXi 4.x virtual machine(ESX/ESXi 4.x 虚拟机)作为兼容性选项。
    2. 对于来宾操作系统系列,选择 Linux
    3. 对于来宾操作系统版本,选择 Other 2.6.x Linux (64-bit)(其他 2.6.x Linux (64 位))。
    4. 对于数据存储,选择 Default(默认值)。
    5. 在自定义期间,删除默认硬盘、USB 控制器和 CD/DVD 驱动器。
    6. 在“Network”(网络)下,选择 VMXNET3 作为适配器类型。
    7. 在 ESXi 上,如果您的磁盘是本地磁盘,请选择 SCSI Controller(SCSI 控制器)和 LSI Logic Parallel(LSI 逻辑并行)。如果您使用的是共享磁盘,请选择 VMware Paravirtual(VMware 半虚拟化)。
    8. 单击“Next”(下一步)完成 VM 创建。
  4. 导航到您的数据存储,并复制之前上载的 .vmdk 文件。将其复制到您为 XenMobile 创建的 VM 目录中。
  5. 从 ESXi Web 界面,选择 VM,然后编辑设置。
  6. 单击 Add Hard disk(添加硬盘)。
  7. 选择之前复制的 .vmdk 文件并将其附加到 VM。
  8. 单击保存
  9. 打开 VM 电源。

NetScaler Gateway 系统要求

要在 XenMobile 10.10 中运行 NetScaler Gateway,需要满足以下最低系统要求。

  • NetScaler Gateway(本地)。支持的版本:11.1、12.0、12.1、12.1.50.28

  • 您还必须能够与 Active Directory 通信,这需要使用服务帐户。您只需具有查询和读取权限。

XenMobile 10.10 的数据库要求

XenMobile 需要使用以下数据库之一:

  • Microsoft SQL Server

    XenMobile 存储库支持在以下其中一个受支持的版本上运行的 Microsoft SQL Server 数据库。有关 Microsoft SQL Server 数据库的详细信息,请参阅 Microsoft SQL Server。

    • Microsoft SQL Server 2019
    • Microsoft SQL Server 2017
    • Microsoft SQL Server 2016 SP2
    • Microsoft SQL Server 2014 SP3
    • Microsoft SQL Server 2014 SP2 (CU11)
    • Microsoft SQL Server 2012 SP4

    XenMobile 支持 SQL Basic 可用性组(AlwaysOn 可用性组)和 SQL 群集以实现数据库高可用性。

    Citrix 建议远程使用 Microsoft SQL。

    有关升级 Microsoft SQL 的信息,请参阅 Microsoft 文章升级 SQL Server

    重要:

    确保要用于 XenMobile 的 SQL Server 服务帐户具有 DBcreator 角色权限。记录在 XenMobile Server 安装期间指定的 SQL Server 帐户密码。如果您需要在 XenMobile Server 恢复期间克隆 XenMobile 数据库,需要该密码。

    有关 SQL Server 服务帐户的详细信息,请参阅 Microsoft Developer Network 站点上的以下页面。这些链接提供有关 SQL Server 2014 的信息。如果您使用的是其他版本,请从 Other Versions(其他版本)列表中选择您的服务器版本:

  • PostgreSQL(仅适用于测试环境)。PostgreSQL 随附在 XenMobile 中。您可以在测试环境中本地或远程使用。不支持数据库迁移。不能将在测试环境中创建的数据库移动到生产环境。

    所有 XenMobile 版本都支持适用于 Windows 的 Remote PostgreSQL 9.5.1 和 9.5.11,但存在以下限制:不建议用于生产环境。最多支持 300 个设备。对于超出 300 个设备的情况,可使用本地 SQL Server。不支持群集。

StoreFront 兼容性

  • StoreFront 1811.1.0
  • StoreFront 3.15
  • StoreFront 3.12
  • StoreFront 3.0.5000.1
  • XenApp 和 XenDesktop 7.18
  • XenApp 和 XenDesktop 7.6 LTSR CU5
  • XenApp 和 XenDesktop 7.15 LTSR CU3

其他兼容性

  • 适用于 Exchange ActiveSync 10.1.9.24 的 Endpoint Management 连接器
    • 早期版本未进行测试
  • 适用于 Exchange ActiveSync 8.5.3.19 的 Citrix Gateway 连接器
    • 早期版本未进行测试